<?php
/**
KeyCAPTCHA extension for MediaWiki 1.16.x - 1.18.x

Version: 1.0.0
Author: Mersane, Ltd, www.keycaptcha.com
Email: support@keycaptcha.com
Url: https://www.keycaptcha.com
Copyright (C) 2011-2012 Mersane, Ltd (www.keycaptcha.com). All rights reserved.
License GNU GPL 2.0 (http://www.gnu.org/licenses/gpl-2.0.html)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
	class keyCaptchaHooks{
		static function getInstance(){
			global $wgCaptcha;
			static $done = false;
			if (!$done){
				$done = true;
				$wgCaptcha = new keyCaptcha();
			}
			return $wgCaptcha;
		}
		static function checkEdit( $editPage, $newtext, $section ) {
			return self::getInstance()->checkEdit( $editPage, $newtext, $section );
		}

		static function checkEditMerged( $editPage, $newtext ) {
			return self::getInstance()->checkEditMerged( $editPage, $newtext );
		}

		static function checkEditAPI( $editPage, $newtext, &$resultArr ) {
			return self::getInstance()->checkEditAPI( $editPage, $newtext, $resultArr );
		}

		static function injectUserCreate( &$template ) {
			return self::getInstance()->injectUserCreate( $template );
		}

		static function checkUserCreate( $u, &$message ) {
			return self::getInstance()->checkUserCreate( $u, $message );
		}

		static function triggerUserLogin( $user, $password, $retval ) {
			return self::getInstance()->triggerUserLogin( $user, $password, $retval );
		}

		static function injectUserLogin( &$template ) {
			return self::getInstance()->injectUserLogin( $template );
		}

		static function checkUserLogin( $u, $pass, &$retval ) {
			return self::getInstance()->checkUserLogin( $u, $pass, $retval );
		}

		static function injectEmailUser( &$form ) {
			return self::getInstance()->injectEmailUser( $form );
		}

		static function checkEmailUser( $from, $to, $subject, $text, &$error ) {
			return self::getInstance()->checkEmailUser( $from, $to, $subject, $text, $error );
		}
	}
